module Roqua
  module RomApi
    # @api private
    class GetProtocol < Endpoint
      integer :protocol_id

      def execute
        validate_response_for do
          basic_auth_session.get "/protocols/#{protocol_id}"
        end
      end

      def response_to_result(response)
        Models::Protocol.new(response)
      end
    end
  end
end
