module Roqua
  module RomApi
    # @api private
    class ListProtocols < Endpoint
      def execute
        validate_response_for do
          basic_auth_session.get "/protocols"
        end
      end

      def response_to_result(response)
        response.map { |r| Models::Protocol.new(r) }
      end
    end
  end
end
