require 'virtus'

module Roqua
  module RomApi
    module Models
      class Measurement
        include Virtus.model

        attribute :id, Integer
        attribute :name, String
        attribute :description, String
        attribute :active, Boolean
        attribute :label, String
        attribute :protocol_id, Integer
        attribute :questionnaires, Array[Models::Questionnaire]
      end
    end
  end
end
