require 'virtus'

module Roqua
  module RomApi
    module Models
      class Protocol
        include Virtus.model

        # @!attribute [r] id
        #   @return [Integer]
        attribute :id, Integer
        # @!attribute key
        #   @return [String]
        attribute :key, String
        # @!attribute name
        #   @return [String]
        attribute :name, String
        # @!attribute description
        #   @return [String]
        attribute :description, String
        # @!attribute active
        #   @return [Boolean]
        attribute :active, Boolean
        # @!attribute automatic
        #   @return [Boolean]
        attribute :automatic, Boolean
        # @!attribute measurements
        #   @return [Array<Measurement>]
        attribute :measurements, Array[Models::Measurement]
      end
    end
  end
end
