module Roqua
  module RomApi
    # @api private
    class StopProtocolSubscription < Endpoint
      string :dossier_id
      string :protocol_subscription_id

      def execute
        validate_response_for do
          basic_auth_session.delete("/dossiers/#{dossier_id}/protocol_subscriptions/#{protocol_subscription_id}")
        end
      end
    end
  end
end
