require 'active_interaction'
require 'roqua/rom_api/version'
require 'roqua/rom_api/sessions'
require 'roqua/rom_api/models'
require 'roqua/rom_api/endpoint'
require 'roqua/rom_api/list_protocol_subscriptions'
require 'roqua/rom_api/list_responses'
require 'roqua/rom_api/create_response'
require 'roqua/rom_api/update_response'
require 'roqua/rom_api/create_measurement_sequence'
require 'roqua/rom_api/start_fill_out_session'
require 'roqua/rom_api/create_fill_out_request'
require 'roqua/rom_api/cancel_fill_out_request'
require 'roqua/rom_api/start_protocol_subscription'
require 'roqua/rom_api/stop_protocol_subscription'
require 'roqua/rom_api/report_calculations'
require 'roqua/rom_api/get_questionnaire'
require 'roqua/rom_api/list_dossier_stats'
require 'roqua/rom_api/list_auto_protocols'
require 'roqua/rom_api/list_protocols'
require 'roqua/rom_api/get_protocol'
require 'roqua/rom_api/get_measurement'
require 'roqua/rom_api/get_respondent'
require 'roqua/rom_api/list_respondents'
require 'roqua/rom_api/list_non_responses'
require 'roqua/rom_api/get_non_response'

module Roqua
  module RomApi
    # Raised when a request failed due to an expired/non-existant session.
    class NoSession < StandardError; end
    class Unauthorized < StandardError; end
  end
end
