module Roqua
  module RomApi
    # @api private
    class GetMeasurement < Endpoint
      integer :measurement_id

      def execute
        validate_response_for do
          basic_auth_session.get "/measurements/#{measurement_id}"
        end
      end

      def response_to_result(response)
        Models::Measurement.new(response)
      end
    end
  end
end
