module Roqua
  module RomApi
    # @api private
    class ListProtocolSubscriptions < Endpoint
      string :dossier_id

      def execute
        validate_response_for do
          basic_auth_session.get "/dossiers/#{dossier_id}/protocol_subscriptions"
        end
      end

      def response_to_result(response)
        response.map { |s| Models::ProtocolSubscription.new(s) }
      end
    end
  end
end
