require 'virtus'

module Roqua
  module RomApi
    module Models
      class NonResponse
        include Virtus.model

        # @!attribute [r] id
        #   @return [Integer]
        attribute :id, Integer
        # @!attribute non_response_at
        #   @return [DateTime]
        attribute :non_response_at, DateTime
        # @!attribute response_ids
        #   @return [Array<Integer>]
        attribute :response_ids, Array[Integer]
        # @!attribute reason_group
        #   @return [String]
        attribute :reason_group, String
        # @!attribute reason_option
        #   @return [String]
        attribute :reason_option, String
        # @!attribute reason_code
        #   @return [String]
        attribute :reason_code, String
        # @!attribute reason_other
        #   @return [String]
        attribute :reason_other, String
      end
    end
  end
end
