module Roqua
  module RomApi
    module Models
      class ProtocolSubscription
        include Virtus.model

        attribute :id, Integer
        attribute :daily_start_time, Integer
        attribute :start_at, DateTime
        attribute :stop_at, DateTime
        attribute :protocol_key, String
        attribute :protocol_name, String
        attribute :flags, Hash
        attribute :textvars, Hash
        attribute :responses, Array[Response]
      end
    end
  end
end
