require 'virtus'

module Roqua
  module RomApi
    module Models
      class Questionnaire
        include Virtus.model

        attribute :id, Integer
        attribute :name, String
        attribute :key, String
        attribute :quby_key, String
        attribute :description, String
        attribute :short_description, String
        attribute :questions, Hash
        attribute :scores, Hash
        attribute :sbg_info, Hash
        attribute :textvars, Array
        attribute :flags, Array
        attribute :charts, Array
      end
    end
  end
end
